Fetches runtime metrics for a Execution.
Retrieve metrics from an existing workflow execution.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}import requests
url = "https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"span": {
"end_time": "2023-11-07T05:31:56Z",
"node_id": {
"execution_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"node_id": "<string>"
},
"operation_id": "<string>",
"spans": "<array>",
"start_time": "2023-11-07T05:31:56Z",
"task_id": {
"node_execution_id": {
"execution_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"node_id": "<string>"
},
"retry_attempt": 123,
"task_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
}
},
"workflow_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
}
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Name of the project the resource belongs to.
Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.
User or system provided value for the resource.
Query Parameters
Optional, org key applied to the resource.
depth defines the number of Flyte entity levels to traverse when breaking down execution details.
Response
A successful response.
WorkflowExecutionGetMetricsResponse represents the response containing metrics for the specified workflow execution.
Span represents a duration trace of Flyte execution. The id field denotes a Flyte execution entity or an operation which uniquely identifies the Span. The spans attribute allows this Span to be further broken down into more precise definitions.
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}import requests
url = "https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/v1/metrics/executions/{id.project}/{id.domain}/{id.name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"span": {
"end_time": "2023-11-07T05:31:56Z",
"node_id": {
"execution_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"node_id": "<string>"
},
"operation_id": "<string>",
"spans": "<array>",
"start_time": "2023-11-07T05:31:56Z",
"task_id": {
"node_execution_id": {
"execution_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"node_id": "<string>"
},
"retry_attempt": 123,
"task_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
}
},
"workflow_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
}
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}